Bug 1263940 - Problem with dnsmasq reload after starting VPN connection
Problem with dnsmasq reload after starting VPN connection
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
24
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-17 02:46 EDT by piio
Modified: 2017-08-08 08:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:14:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description piio 2015-09-17 02:46:04 EDT
Description of problem:
After starting VPN (vpnc) connection NetworkManager throws error
<error> [1442471757.064527] [NetworkManagerUtils.c:790] nm_utils_kill_child_sync(): kill child process 'dnsmasq' (2172): failed to send SIGTERM (15): Access denied and another instance tries to spawn causing high cpu usage

In logs I see multiple logs every second:
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <info>  DNS: starting dnsmasq...
wrz 17 08:35:57 00381-itw.itworks.pl audit[1403]: AVC avc:  denied  { unlink } for  pid=1403 comm="NetworkManager" name="resolv.conf" dev="dm-2" ino=787813 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:objec
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <warn>  could not commit DNS changes: Could not rename /etc/.resolv.conf.NetworkManager to /etc/resolv.conf: Brak dostępu
wrz 17 08:35:57 00381-itw.itworks.pl audit[1403]: SYSCALL arch=c000003e syscall=82 success=no exit=-13 a0=564e0bc6f540 a1=564e0bc6f0bb a2=7ffc413dc0b0 a3=7f768b6d7b98 items=0 ppid=1 pid=1403 auid=4294967295 uid=0 gid=0 euid=0 
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: dnsmasq: failed to create listening socket for 127.0.0.1: Address already in use
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <info>  (tun0): device state change: ip-check -> secondaries (reason 'none') [80 90 0]
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <info>  (tun0): device state change: secondaries -> activated (reason 'none') [90 100 0]
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <info>  (tun0): Activation: successful, device activated.
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <warn>  dnsmasq exited with error: Network access problem (address in use; permissions; etc) (2)
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <warn>  could not commit DNS changes: Could not rename /etc/.resolv.conf.NetworkManager to /etc/resolv.conf: Brak dostępu
wrz 17 08:35:57 00381-itw.itworks.pl audit[1403]: AVC avc:  denied  { unlink } for  pid=1403 comm="NetworkManager" name="resolv.conf" dev="dm-2" ino=787813 scontext=system_u:system_r:NetworkManager_t:s0 tcontext=system_u:objec
wrz 17 08:35:57 00381-itw.itworks.pl NetworkManager[1403]: <warn>  DNS: plugin dnsmasq child quit unexpectedly; refreshing DNS


Version-Release number of selected component (if applicable):
NetworkManager-1.2.0-0.2.20150903gitde5d981.fc24.x86_64
NetworkManager-vpnc-1.2.0-0.1.20150903git65701cd.fc24.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Connect to VPN
2. Observe high cpu usage thousands of new log lines in journalctl
3.

Actual results:
Problem with reloading dnsmasq instance during VPN connection

Expected results:
No problem, old instance of dnsmasq should be shutten down and new spawned

Additional info:
Comment 1 Jan Kurik 2016-02-24 10:36:33 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 2 Fedora End Of Life 2017-07-25 15:17:05 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2017-08-08 08:14:47 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.